package cn.ibizlab.r7.runtime.runtimemgr.r7rt_base.domain;

import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.List;
import java.util.ArrayList;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 应用实体[用户角色明细]
 */
public class UserRoleDetail implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 更新时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp updateDate;

    @JsonIgnore
    private boolean updateDateDirtyFlag;
    
    /**
     * 用户角色明细标识
     */
    private String userRoleDetailId;

    @JsonIgnore
    private boolean userRoleDetailIdDirtyFlag;
    
    /**
     * 更新人
     */
    private String updateMan;

    @JsonIgnore
    private boolean updateManDirtyFlag;
    
    /**
     * 建立时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp createDate;

    @JsonIgnore
    private boolean createDateDirtyFlag;
    
    /**
     * 用户角色明细名称
     */
    private String userRoleDetailName;

    @JsonIgnore
    private boolean userRoleDetailNameDirtyFlag;
    
    /**
     * 建立人
     */
    private String createMan;

    @JsonIgnore
    private boolean createManDirtyFlag;
    
    /**
     * 是否启用
     */
    private Integer enable;

    @JsonIgnore
    private boolean enableDirtyFlag;
    
    /**
     * 用户对象
     */
    private String userObjectName;

    @JsonIgnore
    private boolean userObjectNameDirtyFlag;
    
    /**
     * 角色名称
     */
    private String userRoleName;

    @JsonIgnore
    private boolean userRoleNameDirtyFlag;
    
    /**
     * 用户对象
     */
    private String userObjectId;

    @JsonIgnore
    private boolean userObjectIdDirtyFlag;
    
    /**
     * 用户角色标识
     */
    private String userRoleId;

    @JsonIgnore
    private boolean userRoleIdDirtyFlag;
    

    /**
     * 获取 [更新时间]
     */
    @JsonProperty("updatedate")
    public Timestamp getUpdateDate(){
        return this.updateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    @JsonProperty("updatedate")
    public void setUpdateDate(Timestamp  updateDate){
        this.updateDate = updateDate ;
        this.updateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return this.updateDateDirtyFlag ;
    }

    /**
     * 获取 [用户角色明细标识]
     */
    @JsonProperty("userroledetailid")
    public String getUserRoleDetailId(){
        return this.userRoleDetailId ;
    }

    /**
     * 设置 [用户角色明细标识]
     */
    @JsonProperty("userroledetailid")
    public void setUserRoleDetailId(String  userRoleDetailId){
        this.userRoleDetailId = userRoleDetailId ;
        this.userRoleDetailIdDirtyFlag = true ;
    }

    /**
     * 获取 [用户角色明细标识]脏标记
     */
    @JsonIgnore
    public boolean getUserRoleDetailIdDirtyFlag(){
        return this.userRoleDetailIdDirtyFlag ;
    }

    /**
     * 获取 [更新人]
     */
    @JsonProperty("updateman")
    public String getUpdateMan(){
        return this.updateMan ;
    }

    /**
     * 设置 [更新人]
     */
    @JsonProperty("updateman")
    public void setUpdateMan(String  updateMan){
        this.updateMan = updateMan ;
        this.updateManDirtyFlag = true ;
    }

    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return this.updateManDirtyFlag ;
    }

    /**
     * 获取 [建立时间]
     */
    @JsonProperty("createdate")
    public Timestamp getCreateDate(){
        return this.createDate ;
    }

    /**
     * 设置 [建立时间]
     */
    @JsonProperty("createdate")
    public void setCreateDate(Timestamp  createDate){
        this.createDate = createDate ;
        this.createDateDirtyFlag = true ;
    }

    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return this.createDateDirtyFlag ;
    }

    /**
     * 获取 [用户角色明细名称]
     */
    @JsonProperty("userroledetailname")
    public String getUserRoleDetailName(){
        return this.userRoleDetailName ;
    }

    /**
     * 设置 [用户角色明细名称]
     */
    @JsonProperty("userroledetailname")
    public void setUserRoleDetailName(String  userRoleDetailName){
        this.userRoleDetailName = userRoleDetailName ;
        this.userRoleDetailNameDirtyFlag = true ;
    }

    /**
     * 获取 [用户角色明细名称]脏标记
     */
    @JsonIgnore
    public boolean getUserRoleDetailNameDirtyFlag(){
        return this.userRoleDetailNameDirtyFlag ;
    }

    /**
     * 获取 [建立人]
     */
    @JsonProperty("createman")
    public String getCreateMan(){
        return this.createMan ;
    }

    /**
     * 设置 [建立人]
     */
    @JsonProperty("createman")
    public void setCreateMan(String  createMan){
        this.createMan = createMan ;
        this.createManDirtyFlag = true ;
    }

    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return this.createManDirtyFlag ;
    }

    /**
     * 获取 [是否启用]
     */
    @JsonProperty("enable")
    public Integer getEnable(){
        return this.enable ;
    }

    /**
     * 设置 [是否启用]
     */
    @JsonProperty("enable")
    public void setEnable(Integer  enable){
        this.enable = enable ;
        this.enableDirtyFlag = true ;
    }

    /**
     * 获取 [是否启用]脏标记
     */
    @JsonIgnore
    public boolean getEnableDirtyFlag(){
        return this.enableDirtyFlag ;
    }

    /**
     * 获取 [用户对象]
     */
    @JsonProperty("userobjectname")
    public String getUserObjectName(){
        return this.userObjectName ;
    }

    /**
     * 设置 [用户对象]
     */
    @JsonProperty("userobjectname")
    public void setUserObjectName(String  userObjectName){
        this.userObjectName = userObjectName ;
        this.userObjectNameDirtyFlag = true ;
    }

    /**
     * 获取 [用户对象]脏标记
     */
    @JsonIgnore
    public boolean getUserObjectNameDirtyFlag(){
        return this.userObjectNameDirtyFlag ;
    }

    /**
     * 获取 [角色名称]
     */
    @JsonProperty("userrolename")
    public String getUserRoleName(){
        return this.userRoleName ;
    }

    /**
     * 设置 [角色名称]
     */
    @JsonProperty("userrolename")
    public void setUserRoleName(String  userRoleName){
        this.userRoleName = userRoleName ;
        this.userRoleNameDirtyFlag = true ;
    }

    /**
     * 获取 [角色名称]脏标记
     */
    @JsonIgnore
    public boolean getUserRoleNameDirtyFlag(){
        return this.userRoleNameDirtyFlag ;
    }

    /**
     * 获取 [用户对象]
     */
    @JsonProperty("userobjectid")
    public String getUserObjectId(){
        return this.userObjectId ;
    }

    /**
     * 设置 [用户对象]
     */
    @JsonProperty("userobjectid")
    public void setUserObjectId(String  userObjectId){
        this.userObjectId = userObjectId ;
        this.userObjectIdDirtyFlag = true ;
    }

    /**
     * 获取 [用户对象]脏标记
     */
    @JsonIgnore
    public boolean getUserObjectIdDirtyFlag(){
        return this.userObjectIdDirtyFlag ;
    }

    /**
     * 获取 [用户角色标识]
     */
    @JsonProperty("userroleid")
    public String getUserRoleId(){
        return this.userRoleId ;
    }

    /**
     * 设置 [用户角色标识]
     */
    @JsonProperty("userroleid")
    public void setUserRoleId(String  userRoleId){
        this.userRoleId = userRoleId ;
        this.userRoleIdDirtyFlag = true ;
    }

    /**
     * 获取 [用户角色标识]脏标记
     */
    @JsonIgnore
    public boolean getUserRoleIdDirtyFlag(){
        return this.userRoleIdDirtyFlag ;
    }



}
